%define upstream_name    Plack-Middleware-Debug
%define upstream_version 0.18

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Debug panel to inspect the environment
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Method::Modifiers) >= 1.50.0
BuildRequires: perl(Data::Dump)
BuildRequires: perl(Data::Dumper::Concise)
BuildRequires: perl(Encode) >= 2.230.0
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Plack)
BuildRequires: perl(Plack::Test)
BuildRequires: perl(Test::More) >= 0.700.0
BuildRequires: perl(Test::Requires) >= 0.80.0
BuildRequires: perl(Text::MicroTemplate) >= 0.150.0
BuildRequires: perl(parent)
BuildArch:  noarch

%description
The debug middleware offers a configurable set of panels that displays
information about the current request and response. The information is
generated only for responses with a status of 200 ('OK') and a
'Content-Type' that contains 'text/html' or 'application/xhtml+xml' and is
embedded in the HTML that is sent back to the browser. Also the code is
injected directly before the '</body>' tag so if there is no such tag, the
information will not be injected.

To enable the middleware, just use the Plack::Builder manpage as usual in
your '.psgi' file:

    use Plack::Builder;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.180.0-3.mga10
+ Revision: 2212164
- Mageia 10 Mass Rebuild

* Tue Mar 29 2022 umeabot <umeabot> 0.180.0-2.mga9
+ Revision: 1831070
- Mageia 9 Mass Rebuild

* Mon May 04 2020 tv <tv> 0.180.0-1.mga8
+ Revision: 1578727
- update to 0.18

* Wed Feb 12 2020 umeabot <umeabot> 0.170.0-3.mga8
+ Revision: 1506017
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.170.0-2.mga7
+ Revision: 1285725
- Mageia 7 Mass Rebuild

* Wed Mar 07 2018 shlomif <shlomif> 0.170.0-1.mga7
+ Revision: 1207233
- update to 0.17

* Sun Jun 19 2016 pterjan <pterjan> 0.160.0-7.mga6
+ Revision: 1032094
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.160.0-6.mga6
+ Revision: 948371
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.160.0-5.mga5
+ Revision: 787825
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.160.0-4.mga5
+ Revision: 750574
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.160.0-3.mga5
+ Revision: 685977
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.160.0-2.mga4
+ Revision: 534094
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 0.160.0-1.mga4
+ Revision: 476277
- update to 0.16

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-3.mga3
+ Revision: 371831
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 30 2012 pterjan <pterjan> 0.140.0-2.mga3
+ Revision: 336455
- Add missing BuildRequires

* Mon Oct 08 2012 jquelin <jquelin> 0.140.0-1.mga3
+ Revision: 303636
- adding missing buildrequires:
- imported package perl-Plack-Middleware-Debug


* Mon Oct 08 2012 cpan2dist 0.14-1mga
- initial mageia release, generated with cpan2dist
